using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using Telerik.Web.UI.GridExcelBuilder;


public partial class _Default : System.Web.UI.Page
{
    protected void Page_PreRender(object sender, EventArgs e)
    {

    }

    protected void RadGrid1_ItemCommand(object source, GridCommandEventArgs e)
    {

    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        RadGrid1.MasterTableView.ExportToExcel();
    }
    protected void RadGrid1_ExcelMLExportRowCreated(object source, GridExportExcelMLRowCreatedArgs e)
    {
        if (e.RowType == GridExportExcelMLRowType.DataRow)
        {
            CellElement cell = e.Row.Cells.GetCellByName("CustomerID");
            if (cell != null)
                cell.StyleValue = "Level1";

            cell = e.Row.Cells.GetCellByName("OrderID");
            if (cell != null)
                cell.StyleValue = "Level2";

            cell = e.Row.Cells.GetCellByName("UnitPrice");
            if (cell != null)
                cell.StyleValue = "Level3";
        }

        if (e.RowType == GridExportExcelMLRowType.HeaderRow)
        {
            if (e.Row.Cells.GetCellByName("OrderID") != null) //Level 2
                e.Worksheet.Table.Rows.Remove(e.Row); //remove the header row for this table
            if (e.Row.Cells.GetCellByName("UnitPrice") != null) //Level 3
                e.Worksheet.Table.Rows.Remove(e.Row); //remove the header row for this table
        }
    }
    protected void RadGrid1_ExcelMLExportStylesCreated(object source, GridExportExcelMLStyleCreatedArgs e)
    {
        StyleElement style = new StyleElement("Level1");
        style.FontStyle.Color = System.Drawing.Color.Blue;
        e.Styles.Add(style);

        style = new StyleElement("Level2");
        style.FontStyle.Color = System.Drawing.Color.Orange;
        e.Styles.Add(style);

        style = new StyleElement("Level3");
        style.FontStyle.Color = System.Drawing.Color.Green;
        e.Styles.Add(style);
    }
}
